<script #vertexShader type="x-shader/x-vertex">
	uniform float time;
	uniform vec2 resolution;
	void main()	{
		gl_Position = vec4( position, 1.0 );
	}
</script>

<script #fragmentShader type="x-shader/x-fragment">
	uniform float time;
	uniform vec2 resolution;
	void main()	{
		float x = mod(time + gl_FragCoord.x, 20.) < 10. ? 1. : 0.;
		float y = mod(time + gl_FragCoord.y, 20.) < 10. ? 1. : 0.;
		gl_FragColor = vec4(vec3(min(x, y)), 1.);
	}
</script>
<div #audioViz class="audioViz container-fluid"></div>
<div class="sidebar left-lower side-buttons-container">
    <!--<div folder title="Beat detection">-->
        <!--<div class="folder-body">-->
            <!--<div class="slider" [name]="'Beat detection treshold'" [model]="beatDetector.treshold" [from]="0" [to]="1" [step]="0.01"></div>-->
            <!--<div class="slider" [name]="'Beat detection decay factor'" [model]="beatDetector.decay_factor" [from]="0" [to]="1" [step]="0.01"></div>-->
        <!--</div>-->
    <!--</div>-->
</div>
